from fastapi import APIRouter, status
from fastapi.responses import JSONResponse

from app.api.endpoints import auth, users, health

api_router = APIRouter()

api_router.include_router(auth.router, prefix="/auth", tags=["authentication"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(health.router, tags=["health"])

@api_router.get("/", include_in_schema=False)
def root():
    return JSONResponse(
        status_code=status.HTTP_200_OK,
        content={"message": "Welcome to User Authentication Service API"}
    )